#ifndef _ANOD_COMPILED_FONT_H_
#define _ANOD_COMPILED_FONT_H_

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define ACFONT_NOT_FOUND 1
#define ACFONT_INVALID 2
#define ACFONT_READ_EOF 3
#define ACFONT_NOT_SUPPORT 4
#define ACFONT_MEM_EMPTY 5

extern int acf_set_font(const char *);
extern const char *acf_draw(int, int, unsigned, unsigned, unsigned, uint16_t, const char *);

#define ACF_LIT_POINT(x, y, w, h, islit)                    \
    {                                                       \
        if (0 <= (x) && (x) < (w) && 0 <= (y) && (y) < (h)) \
        {                                                   \
            if ((islit))                                    \
            {                                               \
                frame[ (h)*(x) + (h-1-y) ] = fg;            \
            }                                               \
        }                                                   \
    }

#endif //_ANOD_COMPILED_FONT_H_
